Package com.android.server.os

# Class LinphoneTombstoneProtos.Thread.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Thread,LinphoneTombstoneProtos.Thread.Builder>
com.android.server.os.LinphoneTombstoneProtos.Thread.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.ThreadOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.Thread

public static final class LinphoneTombstoneProtos.Thread.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Thread,LinphoneTombstoneProtos.Thread.Builder> implements LinphoneTombstoneProtos.ThreadOrBuilder
Protobuf type `Thread`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.Thread.Builder`
`addAllBacktraceNote(Iterable<String> values)`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.Thread.Builder`
`addAllCurrentBacktrace(Iterable<? extends LinphoneTombstoneProtos.BacktraceFrame> values)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`addAllMemoryDump(Iterable<? extends LinphoneTombstoneProtos.MemoryDump> values)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`addAllRegisters(Iterable<? extends LinphoneTombstoneProtos.Register> values)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`addAllUnreadableElfFiles(Iterable<String> values)`
`repeated string unreadable_elf_files = 9;`
`LinphoneTombstoneProtos.Thread.Builder`
`addBacktraceNote(String value)`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.Thread.Builder`
`addBacktraceNoteBytes(com.google.protobuf.ByteString value)`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.Thread.Builder`
`addCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`addCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`addCurrentBacktrace(LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`addCurrentBacktrace(LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`addMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump value)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`addMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`addMemoryDump(LinphoneTombstoneProtos.MemoryDump value)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`addMemoryDump(LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`addRegisters(int index, LinphoneTombstoneProtos.Register value)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`addRegisters(int index, LinphoneTombstoneProtos.Register.Builder builderForValue)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`addRegisters(LinphoneTombstoneProtos.Register value)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`addRegisters(LinphoneTombstoneProtos.Register.Builder builderForValue)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`addUnreadableElfFiles(String value)`
`repeated string unreadable_elf_files = 9;`
`LinphoneTombstoneProtos.Thread.Builder`
`addUnreadableElfFilesBytes(com.google.protobuf.ByteString value)`
`repeated string unreadable_elf_files = 9;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearBacktraceNote()`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearCurrentBacktrace()`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearId()`
`int32 id = 1;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearMemoryDump()`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearName()`
`string name = 2;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearPacEnabledKeys()`
`int64 pac_enabled_keys = 8;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearRegisters()`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearTaggedAddrCtrl()`
`int64 tagged_addr_ctrl = 6;`
`LinphoneTombstoneProtos.Thread.Builder`
`clearUnreadableElfFiles()`
`repeated string unreadable_elf_files = 9;`
`String`
`getBacktraceNote(int index)`
`repeated string backtrace_note = 7;`
`com.google.protobuf.ByteString`
`getBacktraceNoteBytes(int index)`
`repeated string backtrace_note = 7;`
`int`
`getBacktraceNoteCount()`
`repeated string backtrace_note = 7;`
`List<String>`
`getBacktraceNoteList()`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getCurrentBacktrace(int index)`
`repeated .BacktraceFrame current_backtrace = 4;`
`int`
`getCurrentBacktraceCount()`
`repeated .BacktraceFrame current_backtrace = 4;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getCurrentBacktraceList()`
`repeated .BacktraceFrame current_backtrace = 4;`
`int`
`getId()`
`int32 id = 1;`
`LinphoneTombstoneProtos.MemoryDump`
`getMemoryDump(int index)`
`repeated .MemoryDump memory_dump = 5;`
`int`
`getMemoryDumpCount()`
`repeated .MemoryDump memory_dump = 5;`
`List<LinphoneTombstoneProtos.MemoryDump>`
`getMemoryDumpList()`
`repeated .MemoryDump memory_dump = 5;`
`String`
`getName()`
`string name = 2;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 2;`
`long`
`getPacEnabledKeys()`
`int64 pac_enabled_keys = 8;`
`LinphoneTombstoneProtos.Register`
`getRegisters(int index)`
`repeated .Register registers = 3;`
`int`
`getRegistersCount()`
`repeated .Register registers = 3;`
`List<LinphoneTombstoneProtos.Register>`
`getRegistersList()`
`repeated .Register registers = 3;`
`long`
`getTaggedAddrCtrl()`
`int64 tagged_addr_ctrl = 6;`
`String`
`getUnreadableElfFiles(int index)`
`repeated string unreadable_elf_files = 9;`
`com.google.protobuf.ByteString`
`getUnreadableElfFilesBytes(int index)`
`repeated string unreadable_elf_files = 9;`
`int`
`getUnreadableElfFilesCount()`
`repeated string unreadable_elf_files = 9;`
`List<String>`
`getUnreadableElfFilesList()`
`repeated string unreadable_elf_files = 9;`
`LinphoneTombstoneProtos.Thread.Builder`
`removeCurrentBacktrace(int index)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`removeMemoryDump(int index)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`removeRegisters(int index)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`setBacktraceNote(int index, String value)`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.Thread.Builder`
`setCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`setCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)`
`repeated .BacktraceFrame current_backtrace = 4;`
`LinphoneTombstoneProtos.Thread.Builder`
`setId(int value)`
`int32 id = 1;`
`LinphoneTombstoneProtos.Thread.Builder`
`setMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump value)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`setMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)`
`repeated .MemoryDump memory_dump = 5;`
`LinphoneTombstoneProtos.Thread.Builder`
`setName(String value)`
`string name = 2;`
`LinphoneTombstoneProtos.Thread.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 2;`
`LinphoneTombstoneProtos.Thread.Builder`
`setPacEnabledKeys(long value)`
`int64 pac_enabled_keys = 8;`
`LinphoneTombstoneProtos.Thread.Builder`
`setRegisters(int index, LinphoneTombstoneProtos.Register value)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`setRegisters(int index, LinphoneTombstoneProtos.Register.Builder builderForValue)`
`repeated .Register registers = 3;`
`LinphoneTombstoneProtos.Thread.Builder`
`setTaggedAddrCtrl(long value)`
`int64 tagged_addr_ctrl = 6;`
`LinphoneTombstoneProtos.Thread.Builder`
`setUnreadableElfFiles(int index, String value)`
`repeated string unreadable_elf_files = 9;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getId

public int getId()
`int32 id = 1;`

Specified by:
  `getId` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The id.

### setId

public LinphoneTombstoneProtos.Thread.Builder setId(int value)
`int32 id = 1;`

Parameters:
  `value` - The id to set.
Returns:
  This builder for chaining.

### clearId

public LinphoneTombstoneProtos.Thread.Builder clearId()
`int32 id = 1;`

Returns:
  This builder for chaining.

### getName

public String getName()
`string name = 2;`

Specified by:
  `getName` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 2;`

Specified by:
  `getNameBytes` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The bytes for name.

### setName

public LinphoneTombstoneProtos.Thread.Builder setName(String value)
`string name = 2;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public LinphoneTombstoneProtos.Thread.Builder clearName()
`string name = 2;`

Returns:
  This builder for chaining.

### setNameBytes

public LinphoneTombstoneProtos.Thread.Builder setNameBytes(com.google.protobuf.ByteString value)
`string name = 2;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getRegistersList

public List<LinphoneTombstoneProtos.Register> getRegistersList()
`repeated .Register registers = 3;`

Specified by:
  `getRegistersList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getRegistersCount

public int getRegistersCount()
`repeated .Register registers = 3;`

Specified by:
  `getRegistersCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getRegisters

public LinphoneTombstoneProtos.Register getRegisters(int index)
`repeated .Register registers = 3;`

Specified by:
  `getRegisters` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### setRegisters

public LinphoneTombstoneProtos.Thread.Builder setRegisters(int index, LinphoneTombstoneProtos.Register value)
`repeated .Register registers = 3;`

### setRegisters

public LinphoneTombstoneProtos.Thread.Builder setRegisters(int index, LinphoneTombstoneProtos.Register.Builder builderForValue)
`repeated .Register registers = 3;`

### addRegisters

public LinphoneTombstoneProtos.Thread.Builder addRegisters(LinphoneTombstoneProtos.Register value)
`repeated .Register registers = 3;`

### addRegisters

public LinphoneTombstoneProtos.Thread.Builder addRegisters(int index, LinphoneTombstoneProtos.Register value)
`repeated .Register registers = 3;`

### addRegisters

public LinphoneTombstoneProtos.Thread.Builder addRegisters(LinphoneTombstoneProtos.Register.Builder builderForValue)
`repeated .Register registers = 3;`

### addRegisters

public LinphoneTombstoneProtos.Thread.Builder addRegisters(int index, LinphoneTombstoneProtos.Register.Builder builderForValue)
`repeated .Register registers = 3;`

### addAllRegisters

public LinphoneTombstoneProtos.Thread.Builder addAllRegisters(Iterable<? extends LinphoneTombstoneProtos.Register> values)
`repeated .Register registers = 3;`

### clearRegisters

public LinphoneTombstoneProtos.Thread.Builder clearRegisters()
`repeated .Register registers = 3;`

### removeRegisters

public LinphoneTombstoneProtos.Thread.Builder removeRegisters(int index)
`repeated .Register registers = 3;`

### getBacktraceNoteList

public List<String> getBacktraceNoteList()
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNoteList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  A list containing the backtraceNote.

### getBacktraceNoteCount

public int getBacktraceNoteCount()
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNoteCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The count of backtraceNote.

### getBacktraceNote

public String getBacktraceNote(int index)
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNote` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The backtraceNote at the given index.

### getBacktraceNoteBytes

public com.google.protobuf.ByteString getBacktraceNoteBytes(int index)
`repeated string backtrace_note = 7;`

Specified by:
  `getBacktraceNoteBytes` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the backtraceNote at the given index.

### setBacktraceNote

public LinphoneTombstoneProtos.Thread.Builder setBacktraceNote(int index, String value)
`repeated string backtrace_note = 7;`

Parameters:
  `index` - The index to set the value at.
  `value` - The backtraceNote to set.
Returns:
  This builder for chaining.

### addBacktraceNote

public LinphoneTombstoneProtos.Thread.Builder addBacktraceNote(String value)
`repeated string backtrace_note = 7;`

Parameters:
  `value` - The backtraceNote to add.
Returns:
  This builder for chaining.

### addAllBacktraceNote

public LinphoneTombstoneProtos.Thread.Builder addAllBacktraceNote(Iterable<String> values)
`repeated string backtrace_note = 7;`

Parameters:
  `values` - The backtraceNote to add.
Returns:
  This builder for chaining.

### clearBacktraceNote

public LinphoneTombstoneProtos.Thread.Builder clearBacktraceNote()
`repeated string backtrace_note = 7;`

Returns:
  This builder for chaining.

### addBacktraceNoteBytes

public LinphoneTombstoneProtos.Thread.Builder addBacktraceNoteBytes(com.google.protobuf.ByteString value)
`repeated string backtrace_note = 7;`

Parameters:
  `value` - The bytes of the backtraceNote to add.
Returns:
  This builder for chaining.

### getUnreadableElfFilesList

public List<String> getUnreadableElfFilesList()
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFilesList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  A list containing the unreadableElfFiles.

### getUnreadableElfFilesCount

public int getUnreadableElfFilesCount()
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFilesCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The count of unreadableElfFiles.

### getUnreadableElfFiles

public String getUnreadableElfFiles(int index)
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFiles` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The unreadableElfFiles at the given index.

### getUnreadableElfFilesBytes

public com.google.protobuf.ByteString getUnreadableElfFilesBytes(int index)
`repeated string unreadable_elf_files = 9;`

Specified by:
  `getUnreadableElfFilesBytes` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the unreadableElfFiles at the given index.

### setUnreadableElfFiles

public LinphoneTombstoneProtos.Thread.Builder setUnreadableElfFiles(int index, String value)
`repeated string unreadable_elf_files = 9;`

Parameters:
  `index` - The index to set the value at.
  `value` - The unreadableElfFiles to set.
Returns:
  This builder for chaining.

### addUnreadableElfFiles

public LinphoneTombstoneProtos.Thread.Builder addUnreadableElfFiles(String value)
`repeated string unreadable_elf_files = 9;`

Parameters:
  `value` - The unreadableElfFiles to add.
Returns:
  This builder for chaining.

### addAllUnreadableElfFiles

public LinphoneTombstoneProtos.Thread.Builder addAllUnreadableElfFiles(Iterable<String> values)
`repeated string unreadable_elf_files = 9;`

Parameters:
  `values` - The unreadableElfFiles to add.
Returns:
  This builder for chaining.

### clearUnreadableElfFiles

public LinphoneTombstoneProtos.Thread.Builder clearUnreadableElfFiles()
`repeated string unreadable_elf_files = 9;`

Returns:
  This builder for chaining.

### addUnreadableElfFilesBytes

public LinphoneTombstoneProtos.Thread.Builder addUnreadableElfFilesBytes(com.google.protobuf.ByteString value)
`repeated string unreadable_elf_files = 9;`

Parameters:
  `value` - The bytes of the unreadableElfFiles to add.
Returns:
  This builder for chaining.

### getCurrentBacktraceList

public List<LinphoneTombstoneProtos.BacktraceFrame> getCurrentBacktraceList()
`repeated .BacktraceFrame current_backtrace = 4;`

Specified by:
  `getCurrentBacktraceList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getCurrentBacktraceCount

public int getCurrentBacktraceCount()
`repeated .BacktraceFrame current_backtrace = 4;`

Specified by:
  `getCurrentBacktraceCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getCurrentBacktrace

public LinphoneTombstoneProtos.BacktraceFrame getCurrentBacktrace(int index)
`repeated .BacktraceFrame current_backtrace = 4;`

Specified by:
  `getCurrentBacktrace` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### setCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder setCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame current_backtrace = 4;`

### setCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder setCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame current_backtrace = 4;`

### addCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder addCurrentBacktrace(LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame current_backtrace = 4;`

### addCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder addCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame value)
`repeated .BacktraceFrame current_backtrace = 4;`

### addCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder addCurrentBacktrace(LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame current_backtrace = 4;`

### addCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder addCurrentBacktrace(int index, LinphoneTombstoneProtos.BacktraceFrame.Builder builderForValue)
`repeated .BacktraceFrame current_backtrace = 4;`

### addAllCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder addAllCurrentBacktrace(Iterable<? extends LinphoneTombstoneProtos.BacktraceFrame> values)
`repeated .BacktraceFrame current_backtrace = 4;`

### clearCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder clearCurrentBacktrace()
`repeated .BacktraceFrame current_backtrace = 4;`

### removeCurrentBacktrace

public LinphoneTombstoneProtos.Thread.Builder removeCurrentBacktrace(int index)
`repeated .BacktraceFrame current_backtrace = 4;`

### getMemoryDumpList

public List<LinphoneTombstoneProtos.MemoryDump> getMemoryDumpList()
`repeated .MemoryDump memory_dump = 5;`

Specified by:
  `getMemoryDumpList` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getMemoryDumpCount

public int getMemoryDumpCount()
`repeated .MemoryDump memory_dump = 5;`

Specified by:
  `getMemoryDumpCount` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### getMemoryDump

public LinphoneTombstoneProtos.MemoryDump getMemoryDump(int index)
`repeated .MemoryDump memory_dump = 5;`

Specified by:
  `getMemoryDump` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`

### setMemoryDump

public LinphoneTombstoneProtos.Thread.Builder setMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump value)
`repeated .MemoryDump memory_dump = 5;`

### setMemoryDump

public LinphoneTombstoneProtos.Thread.Builder setMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)
`repeated .MemoryDump memory_dump = 5;`

### addMemoryDump

public LinphoneTombstoneProtos.Thread.Builder addMemoryDump(LinphoneTombstoneProtos.MemoryDump value)
`repeated .MemoryDump memory_dump = 5;`

### addMemoryDump

public LinphoneTombstoneProtos.Thread.Builder addMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump value)
`repeated .MemoryDump memory_dump = 5;`

### addMemoryDump

public LinphoneTombstoneProtos.Thread.Builder addMemoryDump(LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)
`repeated .MemoryDump memory_dump = 5;`

### addMemoryDump

public LinphoneTombstoneProtos.Thread.Builder addMemoryDump(int index, LinphoneTombstoneProtos.MemoryDump.Builder builderForValue)
`repeated .MemoryDump memory_dump = 5;`

### addAllMemoryDump

public LinphoneTombstoneProtos.Thread.Builder addAllMemoryDump(Iterable<? extends LinphoneTombstoneProtos.MemoryDump> values)
`repeated .MemoryDump memory_dump = 5;`

### clearMemoryDump

public LinphoneTombstoneProtos.Thread.Builder clearMemoryDump()
`repeated .MemoryDump memory_dump = 5;`

### removeMemoryDump

public LinphoneTombstoneProtos.Thread.Builder removeMemoryDump(int index)
`repeated .MemoryDump memory_dump = 5;`

### getTaggedAddrCtrl

public long getTaggedAddrCtrl()
`int64 tagged_addr_ctrl = 6;`

Specified by:
  `getTaggedAddrCtrl` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The taggedAddrCtrl.

### setTaggedAddrCtrl

public LinphoneTombstoneProtos.Thread.Builder setTaggedAddrCtrl(long value)
`int64 tagged_addr_ctrl = 6;`

Parameters:
  `value` - The taggedAddrCtrl to set.
Returns:
  This builder for chaining.

### clearTaggedAddrCtrl

public LinphoneTombstoneProtos.Thread.Builder clearTaggedAddrCtrl()
`int64 tagged_addr_ctrl = 6;`

Returns:
  This builder for chaining.

### getPacEnabledKeys

public long getPacEnabledKeys()
`int64 pac_enabled_keys = 8;`

Specified by:
  `getPacEnabledKeys` in interface `LinphoneTombstoneProtos.ThreadOrBuilder`
Returns:
  The pacEnabledKeys.

### setPacEnabledKeys

public LinphoneTombstoneProtos.Thread.Builder setPacEnabledKeys(long value)
`int64 pac_enabled_keys = 8;`

Parameters:
  `value` - The pacEnabledKeys to set.
Returns:
  This builder for chaining.

### clearPacEnabledKeys

public LinphoneTombstoneProtos.Thread.Builder clearPacEnabledKeys()
`int64 pac_enabled_keys = 8;`

Returns:
  This builder for chaining.